// $Id: RMOVParticle.cxx,v 1.2 2005/11/13 00:08:41 syoshida Exp $
//*************************************************************************
//* --------------------
//* RMOVParticle
//* --------------------
//* (Description)
//*	Abstract base class for particles
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "romeo/kern/RMOVParticle.h"

ClassImp(RMOVParticle)

using namespace std;

//=====================================================================
//* constructor -------------------------------------------------------

RMOVParticle::RMOVParticle()
          :RMOPoint(), fEnergy(0), fWeight(1)
{
}

RMOVParticle::RMOVParticle(const TVector3 &pos,
                           const TVector3 &dir)
          :RMOPoint(pos, dir), fEnergy(0), fWeight(1)
{
}

//=====================================================================
//* destructor --------------------------------------------------------

RMOVParticle::~RMOVParticle()
{
}

//=====================================================================
//* Output     --------------------------------------------------------

void RMOVParticle::Output(ofstream &out)
{
   RMOPoint::Output(out);
}


