//
// global constants
//

// plot program for TH4D class
Int_t Plot()
{
   gSystem->Load("../../lib/libutils.so");
   gStyle->SetOptStat("ne");

   TFile *infile = TFile::Open("test.root", "read");
   TH4D *h4 = gROOT->FindObject("test"); 
   
   TCanvas *c1 = new TCanvas("TH4D","TH4D", 10, 10, 400, 400);
   c1->cd();
   h4->Draw();
     
   TCanvas *c2 = new TCanvas("extra_dim","extra_dim", 10, 10, 800, 800);
   c2->Divide(2, 2);

   TH1DEX *exdim1 = h4->GetExtraDimensionPtr(h4->FindBin(0.90, 85, 160));
   if (exdim1) { 
      c2->cd(1); exdim1->Draw(); 
   } else { 
      cerr << "exdim1 is 0!" << endl; 
   }
   TH1DEX *exdim2 = h4->GetExtraDimensionPtr(h4->FindBin(0.90, 90, 180));
   if (exdim2) { 
      c2->cd(2); exdim2->Draw(); 
   } else { 
      cerr << "exdim2 is 0!" << endl; 
   }
   TH1DEX *exdim3 = h4->GetExtraDimensionPtr(h4->FindBin(0.90, 95, 200));
   if (exdim3) { 
      c2->cd(3); exdim3->Draw(); 
   } else { 
      cerr << "exdim3 is 0!" << endl; 
   }
   TH1DEX *exdim4 = h4->GetExtraDimensionPtr(h4->FindBin(0.90, 100, 220));
   if (exdim4) { 
      c2->cd(4); exdim4->Draw(); 
   } else { 
      cerr << "exdim4 is 0!" << endl; 
   }
}
   
