
Int_t View4D(TString ifname, Int_t dist, Double_t x, Double_t y, Double_t z) 
{

   gSystem->Load("../lib/libutils.so");

   TFile *infile = TFile::Open(ifname, "read");
   
   TString histname("PhotonBuf");
   histname += dist;
   histname += "m_hist";

   TH4D *h4 = (TH4D*)gROOT->FindObject(histname);

   TCanvas *c1 = new TCanvas("ArrivalPhotons", "ArrivalPhotons", 10, 10, 800, 400);
   c1->Divide(2,1);

   c1->cd(1); h4->Draw();
 
   TH1DEX *exdim = h4->GetExtraDimensionPtr(h4->FindBin(x,y,z));
   if (exdim) {
      c1->cd(2); exdim->Draw();
   } else {
      cerr << "bin at (" << x << "," << y << "," << z << ") is empty!" << endl;
   }

}
