
{
   gSystem->Load("libPhysics.so");
   gSystem->Load("../lib/libRMOKernel.so");
   gSystem->Load("../lib/libraytrace.so"); 
   TFile *rootfile = TFile::Open("raytrace.root", "read");
   rootfile->cd("/photons");

   PhotonBuf *buf = (PhotonBuf *)gROOT->FindObject("PhotonBuf");
   cerr << "bufname = " << buf->GetName() << endl;

   TIter iter = buf->GetIter();
   PhotonBuf *buftmp;
   while ((Int_t)(buftmp = (PhotonBuf *)iter.Next())) {
      cerr << "buftmpname = " << buftmp->GetName() << endl;
      Double_t curshell = buftmp->GetDistance();

      TIter iter2 = buftmp->GetIter();
      RMOOpticalPhoton *ph;
      while ((Int_t)(ph = (RMOOpticalPhoton *)iter2.Next())) {
         TVector3 pos = ph->GetPosition();
         TVector3 dir = ph->GetDirection();
         cerr << "dist, pos, dir = " << curshell << " ("
              << pos.X() << " " << pos.Y() << " " << pos.Z() << ") ("
              << dir.X() << " " << dir.Y() << " " << dir.Z() << ")" << endl;

      }
   }
}

 
   
    
