#! /bin/sh

# run raytrace 10k evt and save it into test.root
root -b -q Raytrace.C\(10000,\"test.root\"\)

# run Plot4D to save hit into TH4D
root -b -q Plot4D.C\(\"test.root\",\"test_out.root\",\"recreate\"\)

# view histgram at distance 125m, costheta=0.995, zenith=90, azimuth=180
root -l View4D.C\(\"test_out.root\",125,0.995,90,180\)

